# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Execute_queue			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

Execute_queue_DIR		=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue

#-----[ Library ]------------------------------------------
Execute_queue_LIBRARY		= 	-lExecute_queue	\
					$(Behavioural_LIBRARY)	

Execute_queue_DIR_LIBRARY	=	-L$(Execute_queue_DIR)/lib	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Execute_queue_library		:
				@\
				$(MAKE) Behavioural_library; \
				$(MAKE) --directory=$(Execute_queue_DIR) --makefile=Makefile;

Execute_queue_library_clean	:
				@\
				$(MAKE) Behavioural_library_clean; \
				$(MAKE) --directory=$(Execute_queue_DIR) --makefile=Makefile clean;
